Hugo Dark Theme Site Generator https://after-dark.habd.as
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

upgrade-script.md 1.5KB

+++ title = “Upgrade Script” description = “Check for After Dark updates and upgrade effortlessly.” categories = [“experience”] tags = [“updating”, “installation”, “scripts”] features = [“code highlighter”, “related content”] +++

{{< hackcss-alert type=“info” >}} Note: Use of the upgrade script requires After Dark version 6.7.5 or better. If you’re running an earlier version please follow {{< external href=“6415250769/” text=“these steps” />}} first. {{< /hackcss-alert >}}

To check for updates and automatically upgrade to the latest version simply run the upgrade script from your site directory:

$ ./themes/after-dark/bin/upgrade

Like Quick Installer the upgrade script is written for POSIX shells and does not require additional dependencies to operate.

If you’re already using the latest version the script will let you know:

{{< hackcss-alert >}} Did not upgrade after-dark. Already using latest version. {{< /hackcss-alert >}}

If an update is available the script will download and install it automatically:

{{< hackcss-alert >}} Starting upgrade from 6.7.6 to 6.8.0 …
Version 6.8.0 downloaded to themes/after-dark
Generating help documentation …
Upgrade complete! Please see CHANGELOG.md for changes.
{{< /hackcss-alert >}}

Upon upgrade the Release Hash will change for accurate Release Validation.